<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:annotation>
    <xs:documentation >
       define actions for STP module
    </xs:documentation>
  </xs:annotation>
  <xs:element name="STP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="ClearAllIfStatistics" minOccurs="0">
          <xs:annotation>
            <xs:documentation> Clear the STP statistics on all interfaces.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Clear" type="xs:string" fixed="">
                <xs:annotation>
                  <xs:documentation>Clear operation</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
          </xs:complexType>
        </xs:element>
        <xs:element name="ClearInterfacesStatistics"  minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              <xs:documentation>Clear the STP statisitcs on per interface.</xs:documentation>
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="InterfaceStatistics" minOccurs="0" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion">
                      <xs:annotation>
                        <xs:documentation>Index of interface</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Clear" type="xs:string" fixed="" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Clear operation</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="MigrationCheck"  minOccurs="0">
          <xs:annotation>
            <xs:documentation>Global MCheck operation which lets RSTP or MSTP ports transmit an extra BPDU</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="MCheck" type="xs:string" fixed="">
                <xs:annotation>
                  <xs:documentation>MCheck operation</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
